Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.util
Class Service

    java.lang.Object
      org.apache.xmlgraphics.util.Service

    public final class Service

extends Object

This class handles looking up service providers on the class path. It implements the system described in: JAR File Specification Under Service Provider. Note that this interface is very similar to the one they describe which seems to be missing in the JDK.

Version:
  $Id: Service.java 1345683 2012-06-03 14:50:33Z gadams $ Originally authored by Thomas DeWeese.

Method Summary
`static Iterator<String>` | `providerNames(Class<?> cls)` Returns an iterator where each element should be the name of a class that implements the interface (or subclass the baseclass) described by cls.
`static Iterator<Object>` | `providers(Class<?> cls)` Returns an iterator where each element should implement the interface (or subclass the baseclass) described by cls.
`static Iterator<?>` | `providers(Class<?> cls, boolean returnInstances)` Deprecated. use the type-safe methods providers(Class) or providerNames(Class) instead.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### providers

    public static Iterator<Object> providers(Class<?> cls)

  Returns an iterator where each element should implement the interface (or subclass the baseclass) described by cls. The Classes are found by searching the classpath for service files named: 'META-INF/services/<fully qualified classname> that list fully qualifted classnames of classes that implement the service files classes interface. These classes must have default constructors.

  Parameters:
    `cls` - The class/interface to search for providers of.

### providerNames

    public static Iterator<String> providerNames(Class<?> cls)

  Returns an iterator where each element should be the name of a class that implements the interface (or subclass the baseclass) described by cls. The Classes are found by searching the classpath for service files named: 'META-INF/services/<fully qualified classname> that list fully qualified classnames of classes that implement the service files classes interface.

  Parameters:
    `cls` - The class/interface to search for providers of.

### providers

    public static Iterator<?> providers(Class<?> cls,
                                        boolean returnInstances)

  Deprecated. use the type-safe methods providers(Class) or providerNames(Class) instead.

  Returns an iterator where each element should implement the interface (or subclass the baseclass) described by cls. The Classes are found by searching the classpath for service files named: 'META-INF/services/<fully qualified classname> that list fully qualified classnames of classes that implement the service files classes interface. These classes must have default constructors if returnInstances is true. This is a deprecated, type-unsafe legacy method.

  Parameters:
    `cls` - The class/interface to search for providers of.
    `returnInstances` - true if the iterator should return instances rather than class names.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.